=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               gettext,
               libkf5i18n-dev (>= 5.62.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git

Package: libkdecorations2-5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.14),
        kwin-decoration-oxygen (<< 4:5.14),
        kwin-style-breeze (<< 4:5.14),
        kwin-wayland (<< 4:5.12),
        kwin-wayland-backend-drm (<< 4:5.12),
        kwin-wayland-backend-fbdev (<< 4:5.12),
        kwin-wayland-backend-virtual (<< 4:5.12),
        kwin-wayland-backend-wayland (<< 4:5.12),
        kwin-wayland-backend-x11 (<< 4:5.12),
        kwin-x11 (<< 4:5.12),
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private6 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.14),
        kwin-wayland (<< 4:5.12),
        kwin-wayland-backend-drm (<< 4:5.12),
        kwin-wayland-backend-fbdev (<< 4:5.12),
        kwin-wayland-backend-virtual (<< 4:5.12),
        kwin-wayland-backend-wayland (<< 4:5.12),
        kwin-wayland-backend-x11 (<< 4:5.12),
        kwin-x11 (<< 4:5.12),
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.
