=== src/private/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 set(libkdecoration2Private_SRCS
     decoratedclientprivate.cpp
+    decoratedclientprivate.h
     decorationbridge.cpp
+    decorationbridge.h
     decorationsettingsprivate.cpp
+    decorationsettingsprivate.h
 )
 
 add_library(kdecorations2private SHARED ${libkdecoration2Private_SRCS})
@@ -18,14 +21,14 @@
 
 target_link_libraries(kdecorations2private
     PUBLIC
-        Qt5::Core
-        Qt5::Gui
+        Qt::Core
+        Qt::Gui
 )
 
 target_include_directories(kdecorations2private INTERFACE "$<INSTALL_INTERFACE:${KDECORATION2_INCLUDEDIR}>" )
 
-set_target_properties(kdecorations2private PROPERTIES VERSION   ${KDECORATION2_VERSION_STRING}
-                                                      SOVERSION 7
+set_target_properties(kdecorations2private PROPERTIES VERSION   ${KDECORATION2_VERSION}
+                                                      SOVERSION 9
                                                       EXPORT_NAME KDecoration2Private
 )
