=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.0~),
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkf5i18n-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
@@ -35,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkdecorations2-5v5 (= ${binary:Version}),
-         libkdecorations2private8 (= ${binary:Version}),
+         libkdecorations2private9 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.0~),
          ${misc:Depends},
 Description: library to create window decorations - development files
@@ -45,11 +47,11 @@
  .
  This package contains the development files.
 
-Package: libkdecorations2private8
+Package: libkdecorations2private9
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.19),
+Breaks: kwin-common (<< 4:5.19)
 Description: library to create window decorations - private library
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
